# Office For Mac

All download links lead to genuine files only.

## Notes

-   The latest Office installer files on Mac are the same for the Office 365 and Office 2021 retail/volume license users.
-   The latest installer files are available for free to download on the [Official site](https://learn.microsoft.com/en-us/officeupdates/update-history-office-for-mac), but old Volume versions of Office are available to paid [VLSC](https://www.microsoft.com/licensing/ServiceCenter/default.aspx) subscribers.
-   For that reason, we need to host these old files on a 3rd party website. You can check [here](genuine-installation-media.md#verify-authenticity-of-files) on how to be sure that the files are genuine. You can download the SHA-1 hashes list from [here](/files/Old_Office_For_Mac_SHA-1.zip) for VLSC files.
-   Microsoft provides Volume licenses through a serializer file to paid [VLSC](https://www.microsoft.com/licensing/ServiceCenter/default.aspx) Volume license subscribers. However, **anyone can activate Office** with this serializer file (the link is shared below).
-   A minimum of macOS Monterey is required to install versions 16.78 or later. Pick an older Office version on old macOS.
-   Office 2019 for Mac reached the end of support on October 10, 2023, and will no longer receive updates.
-   If you need links for any other Windows/office files, please contact us [here](https://discord.gg/gjJEfq7ux8).
-   **Troubleshoot-**  
    -   If you are facing issues in activation then make sure only one version of Office is installed, [remove Office licenses](https://support.microsoft.com/office/b032c0f6-a431-4dad-83a9-6b727c03b193), and apply the activation file again.
    -   If the issue is still not resolved then check the steps to completely remove Office [here](https://office-reset.com/) and [here](https://support.microsoft.com/office/ec3aa66e-6a76-451f-9d35-cba2e14e94c0).

------------------------------------------------------------------------

## Latest Office 365 / 2021

These links always download the latest files. The links are taken from the [official site](https://learn.microsoft.com/en-us/officeupdates/update-history-office-for-mac). Alternatively, you can check links [here](https://macadmins.software/) as well.

| Application                  | Latest Installer Links                              |
|---------------------------|---------------------------------------------|
| Office suite (with Teams) ❤️ | https://go.microsoft.com/fwlink/p/?linkid=2009112 |
| Office suite (without Teams) | https://go.microsoft.com/fwlink/p/?linkid=525133  |
| Word                         | https://go.microsoft.com/fwlink/p/?linkid=525134  |
| Excel                        | https://go.microsoft.com/fwlink/p/?linkid=525135  |
| PowerPoint                   | https://go.microsoft.com/fwlink/p/?linkid=525136  |
| Outlook                      | https://go.microsoft.com/fwlink/p/?linkid=525137  |

------------------------------------------------------------------------

## Office Activator

To activate, run the listed activation file after installing Office.

| Office Version    | Activator Links                                                                                                                                     |
|----------------|-----------------------------------------------------|
| Office 2021 ❤️    | [Microsoft_Office_LTSC_2021_VL_Serializer.pkg](https://drive.massgrave.dev/Microsoft_Office_LTSC_2021_VL_Serializer.pkg) (Extracted from below ISO) |
| Office 2021       | [SWDVD5_Office_Mac_Serializer_2021_MLF_X22-74226.iso](https://drive.massgrave.dev/SWDVD5_Office_Mac_Serializer_2021_MLF_X22-74226.iso)              |
| Office 2019 (New) | [SWDVD5_Office_Mac_Serializer_2019_MLF_X22-61752.iso](https://drive.massgrave.dev/SWDVD5_Office_Mac_Serializer_2019_MLF_X22-61752.iso)              |
| Office 2019 (Old) | [SWDVD5_Office_Mac_Serializer_2019_MLF_X21-88135.iso](https://drive.massgrave.dev/SWDVD5_Office_Mac_Serializer_2019_MLF_X21-88135.iso)              |
| Office 2016 (New) | [SWDVD5_Office_Mac_Serializer_2016_-2_MLF_X21-93585.iso](https://drive.massgrave.dev/SWDVD5_Office_Mac_Serializer_2016_-2_MLF_X21-93585.iso)       |
| Office 2016 (Old) | [SWDVD5_Office_Mac_Serializer_2016_MLF_X21-83220.iso](https://drive.massgrave.dev/SWDVD5_Office_Mac_Serializer_2016_MLF_X21-83220.iso)              |

------------------------------------------------------------------------

## Office 2016

| Links                                                                                                                                                                           |
|------------------------------------------------------------------------|
| [SW_DVD5_**Excel_Mac_2016_MultiLang**_-8_.dmg_MLF_X21-58277.iso](https://drive.massgrave.dev/SW_DVD5_Excel_Mac_2016_MultiLang_-8_.dmg_MLF_X21-58277.iso)                     |
| [SW_DVD5_**Office_Mac_Standard_2016_MultiLang**_-9_.dmg_MLF_X21-58282.iso](https://drive.massgrave.dev/SW_DVD5_Office_Mac_Standard_2016_MultiLang_-9_.dmg_MLF_X21-58282.iso) |
| [SW_DVD5_**Outlook_Mac_2016_MAC_MultiLang**_-8_.dmg_MLF_X21-58279.iso](https://drive.massgrave.dev/SW_DVD5_Outlook_Mac_2016_MAC_MultiLang_-8_.dmg_MLF_X21-58279.iso)         |
| [SW_DVD5_**PowerPoint_Mac_2016_MultiLang**_-8_.dmg_MLF_X21-58280.iso](https://drive.massgrave.dev/SW_DVD5_PowerPoint_Mac_2016_MultiLang_-8_.dmg_MLF_X21-58280.iso)           |
| [SW_DVD5_**Word_Mac_2016_MultiLang**_-8_.dmg_MLF_X21-58281.iso](https://drive.massgrave.dev/SW_DVD5_Word_Mac_2016_MultiLang_-8_.dmg_MLF_X21-58281.iso)                       |

------------------------------------------------------------------------

## Office 2011 SP4

| Links                                                                                                                                                                                  |
|------------------------------------------------------------------------|
| [SW_DVD5_**Office_Mac_Standard_2011w_SP4_ChnSimp**_-3_ISO_MLF_X21-39848.iso](https://drive.massgrave.dev/SW_DVD5_Office_Mac_Standard_2011w_SP4_ChnSimp_-3_ISO_MLF_X21-39848.iso)     |
| [SW_DVD5_**Office_Mac_Standard_2011w_SP4_ChnTrad**_-3_ISO_MLF_X21-39852.iso](https://drive.massgrave.dev/SW_DVD5_Office_Mac_Standard_2011w_SP4_ChnTrad_-3_ISO_MLF_X21-39852.iso)     |
| [SW_DVD5_**Office_Mac_Standard_2011w_SP4_Danish**_-3_ISO_MLF_X21-39844.iso](https://drive.massgrave.dev/SW_DVD5_Office_Mac_Standard_2011w_SP4_Danish_-3_ISO_MLF_X21-39844.iso)       |
| [SW_DVD5_**Office_Mac_Standard_2011w_SP4_Dutch**_-3_ISO_MLF_X21-39850.iso](https://drive.massgrave.dev/SW_DVD5_Office_Mac_Standard_2011w_SP4_Dutch_-3_ISO_MLF_X21-39850.iso)         |
| [SW_DVD5_**Office_Mac_Standard_2011w_SP4_English**_-3_ISO_MLF_X21-39841.iso](https://drive.massgrave.dev/SW_DVD5_Office_Mac_Standard_2011w_SP4_English_-3_ISO_MLF_X21-39841.iso)     |
| [SW_DVD5_**Office_Mac_Standard_2011w_SP4_Finnish**_-3_ISO_MLF_X21-39846.iso](https://drive.massgrave.dev/SW_DVD5_Office_Mac_Standard_2011w_SP4_Finnish_-3_ISO_MLF_X21-39846.iso)     |
| [SW_DVD5_**Office_Mac_Standard_2011w_SP4_French**_-3_ISO_MLF_X21-39843.iso](https://drive.massgrave.dev/SW_DVD5_Office_Mac_Standard_2011w_SP4_French_-3_ISO_MLF_X21-39843.iso)       |
| [SW_DVD5_**Office_Mac_Standard_2011w_SP4_German**_-3_ISO_MLF_X21-39853.iso](https://drive.massgrave.dev/SW_DVD5_Office_Mac_Standard_2011w_SP4_German_-3_ISO_MLF_X21-39853.iso)       |
| [SW_DVD5_**Office_Mac_Standard_2011w_SP4_Italian**_-3_ISO_MLF_X21-39849.iso](https://drive.massgrave.dev/SW_DVD5_Office_Mac_Standard_2011w_SP4_Italian_-3_ISO_MLF_X21-39849.iso)     |
| [SW_DVD5_**Office_Mac_Standard_2011w_SP4_Japanese**_-3_ISO_MLF_X21-39842.iso](https://drive.massgrave.dev/SW_DVD5_Office_Mac_Standard_2011w_SP4_Japanese_-3_ISO_MLF_X21-39842.iso)   |
| [SW_DVD5_**Office_Mac_Standard_2011w_SP4_Norwegian**_-3_ISO_MLF_X21-39845.iso](https://drive.massgrave.dev/SW_DVD5_Office_Mac_Standard_2011w_SP4_Norwegian_-3_ISO_MLF_X21-39845.iso) |
| [SW_DVD5_**Office_Mac_Standard_2011w_SP4_Polish**_-3_ISO_MLF_X21-39851.iso](https://drive.massgrave.dev/SW_DVD5_Office_Mac_Standard_2011w_SP4_Polish_-3_ISO_MLF_X21-39851.iso)       |
| [SW_DVD5_**Office_Mac_Standard_2011w_SP4_Russian**_-3_ISO_MLF_X21-39854.iso](https://drive.massgrave.dev/SW_DVD5_Office_Mac_Standard_2011w_SP4_Russian_-3_ISO_MLF_X21-39854.iso)     |
| [SW_DVD5_**Office_Mac_Standard_2011w_SP4_Spanish**_-3_ISO_MLF_X21-39855.iso](https://drive.massgrave.dev/SW_DVD5_Office_Mac_Standard_2011w_SP4_Spanish_-3_ISO_MLF_X21-39855.iso)     |
| [SW_DVD5_**Office_Mac_Standard_2011w_SP4_Swedish**_-3_ISO_MLF_X21-39847.iso](https://drive.massgrave.dev/SW_DVD5_Office_Mac_Standard_2011w_SP4_Swedish_-3_ISO_MLF_X21-39847.iso)     |
| [SW_DVD5_**Outlook_Mac_2011w_SP4_MAC_ChnSimp**_-2_ISO_MLF_X19-67657.iso](https://drive.massgrave.dev/SW_DVD5_Outlook_Mac_2011w_SP4_MAC_ChnSimp_-2_ISO_MLF_X19-67657.iso)             |
| [SW_DVD5_**Outlook_Mac_2011w_SP4_MAC_ChnTrad**_-2_ISO_MLF_X19-67661.iso](https://drive.massgrave.dev/SW_DVD5_Outlook_Mac_2011w_SP4_MAC_ChnTrad_-2_ISO_MLF_X19-67661.iso)             |
| [SW_DVD5_**Outlook_Mac_2011w_SP4_MAC_Danish**_-2_ISO_MLF_X19-67662.iso](https://drive.massgrave.dev/SW_DVD5_Outlook_Mac_2011w_SP4_MAC_Danish_-2_ISO_MLF_X19-67662.iso)               |
| [SW_DVD5_**Outlook_Mac_2011w_SP4_MAC_Dutch**_-2_ISO_MLF_X19-67660.iso](https://drive.massgrave.dev/SW_DVD5_Outlook_Mac_2011w_SP4_MAC_Dutch_-2_ISO_MLF_X19-67660.iso)                 |
| [SW_DVD5_**Outlook_Mac_2011w_SP4_MAC_English**_-2_ISO_MLF_X19-67651.iso](https://drive.massgrave.dev/SW_DVD5_Outlook_Mac_2011w_SP4_MAC_English_-2_ISO_MLF_X19-67651.iso)             |
| [SW_DVD5_**Outlook_Mac_2011w_SP4_MAC_Finnish**_-2_ISO_MLF_X19-67663.iso](https://drive.massgrave.dev/SW_DVD5_Outlook_Mac_2011w_SP4_MAC_Finnish_-2_ISO_MLF_X19-67663.iso)             |
| [SW_DVD5_**Outlook_Mac_2011w_SP4_MAC_French**_-2_ISO_MLF_X19-67653.iso](https://drive.massgrave.dev/SW_DVD5_Outlook_Mac_2011w_SP4_MAC_French_-2_ISO_MLF_X19-67653.iso)               |
| [SW_DVD5_**Outlook_Mac_2011w_SP4_MAC_German**_-2_ISO_MLF_X19-67664.iso](https://drive.massgrave.dev/SW_DVD5_Outlook_Mac_2011w_SP4_MAC_German_-2_ISO_MLF_X19-67664.iso)               |
| [SW_DVD5_**Outlook_Mac_2011w_SP4_MAC_Italian**_-2_ISO_MLF_X19-67658.iso](https://drive.massgrave.dev/SW_DVD5_Outlook_Mac_2011w_SP4_MAC_Italian_-2_ISO_MLF_X19-67658.iso)             |
| [SW_DVD5_**Outlook_Mac_2011w_SP4_MAC_Japanese**_-2_ISO_MLF_X19-67652.iso](https://drive.massgrave.dev/SW_DVD5_Outlook_Mac_2011w_SP4_MAC_Japanese_-2_ISO_MLF_X19-67652.iso)           |
| [SW_DVD5_**Outlook_Mac_2011w_SP4_MAC_Norwegian**_-2_ISO_MLF_X19-67665.iso](https://drive.massgrave.dev/SW_DVD5_Outlook_Mac_2011w_SP4_MAC_Norwegian_-2_ISO_MLF_X19-67665.iso)         |
| [SW_DVD5_**Outlook_Mac_2011w_SP4_MAC_Polish**_-2_ISO_MLF_X19-67659.iso](https://drive.massgrave.dev/SW_DVD5_Outlook_Mac_2011w_SP4_MAC_Polish_-2_ISO_MLF_X19-67659.iso)               |
| [SW_DVD5_**Outlook_Mac_2011w_SP4_MAC_Russian**_-2_ISO_MLF_X19-67666.iso](https://drive.massgrave.dev/SW_DVD5_Outlook_Mac_2011w_SP4_MAC_Russian_-2_ISO_MLF_X19-67666.iso)             |
| [SW_DVD5_**Outlook_Mac_2011w_SP4_MAC_Spanish**_-2_ISO_MLF_X19-67667.iso](https://drive.massgrave.dev/SW_DVD5_Outlook_Mac_2011w_SP4_MAC_Spanish_-2_ISO_MLF_X19-67667.iso)             |
| [SW_DVD5_**Outlook_Mac_2011w_SP4_MAC_Swedish**_-2_ISO_MLF_X19-67668.iso](https://drive.massgrave.dev/SW_DVD5_Outlook_Mac_2011w_SP4_MAC_Swedish_-2_ISO_MLF_X19-67668.iso)             |

------------------------------------------------------------------------

## Office 2008 SP2

| Links                                                                                                                                                                                                    |
|------------------------------------------------------------------------|
| [SW_DVD5_**Entourage_Mac_2008_MAC_Danish_Finnish_Norwegian**_w__SP2_MLF_X15-90445.iso](https://drive.massgrave.dev/SW_DVD5_Entourage_Mac_2008_MAC_Danish_Finnish_Norwegian_w__SP2_MLF_X15-90445.iso) |
| [SW_DVD5_**Entourage_Mac_2008_MAC_Dutch**_w__SP2_MLF_X15-90449.iso](https://drive.massgrave.dev/SW_DVD5_Entourage_Mac_2008_MAC_Dutch_w__SP2_MLF_X15-90449.iso)                                       |
| [SW_DVD5_**Entourage_Mac_2008_MAC_English**_w__SP2_MLF_X15-90417.iso](https://drive.massgrave.dev/SW_DVD5_Entourage_Mac_2008_MAC_English_w__SP2_MLF_X15-90417.iso)                                   |
| [SW_DVD5_**Entourage_Mac_2008_MAC_French**_w__SP2_MLF_X15-90433.iso](https://drive.massgrave.dev/SW_DVD5_Entourage_Mac_2008_MAC_French_w__SP2_MLF_X15-90433.iso)                                     |
| [SW_DVD5_**Entourage_Mac_2008_MAC_German**_w__SP2_MLF_X15-90421.iso](https://drive.massgrave.dev/SW_DVD5_Entourage_Mac_2008_MAC_German_w__SP2_MLF_X15-90421.iso)                                     |
| [SW_DVD5_**Entourage_Mac_2008_MAC_Japanese**_w__SP2_MLF_X15-90441.iso](https://drive.massgrave.dev/SW_DVD5_Entourage_Mac_2008_MAC_Japanese_w__SP2_MLF_X15-90441.iso)                                 |
| [SW_DVD5_**Entourage_Mac_2008_MAC_Spanish**_w__SP2_MLF_X15-90429.iso](https://drive.massgrave.dev/SW_DVD5_Entourage_Mac_2008_MAC_Spanish_w__SP2_MLF_X15-90429.iso)                                   |
| [SW_DVD5_**Entourage_Mac_2008_MAC_Swedish**_w__SP2_MLF_X15-90453.iso](https://drive.massgrave.dev/SW_DVD5_Entourage_Mac_2008_MAC_Swedish_w__SP2_MLF_X15-90453.iso)                                   |
| [SW_DVD5_**Office_Mac_2008_DA_FI_NO**_EXTRA_X15-82818.iso](https://drive.massgrave.dev/SW_DVD5_Office_Mac_2008_DA_FI_NO_EXTRA_X15-82818.iso)                                                           |
| [SW_DVD5_**Office_Mac_2008_DA_FI_NO**_w_SP2_MLF_X15-69811.iso](https://drive.massgrave.dev/SW_DVD5_Office_Mac_2008_DA_FI_NO_w_SP2_MLF_X15-69811.iso)                                                   |
| [SW_DVD5_**Office_Mac_2008_Dutch**_EXTRA_X15-82821.iso](https://drive.massgrave.dev/SW_DVD5_Office_Mac_2008_Dutch_EXTRA_X15-82821.iso)                                                                 |
| [SW_DVD5_**Office_Mac_2008_Dutch**_w_SP2_MLF_X15-70499.iso](https://drive.massgrave.dev/SW_DVD5_Office_Mac_2008_Dutch_w_SP2_MLF_X15-70499.iso)                                                         |
| [SW_DVD5_**Office_Mac_2008_English**_-2_Extra_X16-17024.iso](https://drive.massgrave.dev/SW_DVD5_Office_Mac_2008_English_-2_Extra_X16-17024.iso)                                                       |
| [SW_DVD5_**Office_Mac_2008_English**_-2_w_SP2_MLF_X16-17410.iso](https://drive.massgrave.dev/SW_DVD5_Office_Mac_2008_English_-2_w_SP2_MLF_X16-17410.iso)                                               |
| [SW_DVD5_**Office_Mac_2008_French**_-2_Extra_X16-17015.iso](https://drive.massgrave.dev/SW_DVD5_Office_Mac_2008_French_-2_Extra_X16-17015.iso)                                                         |
| [SW_DVD5_**Office_Mac_2008_French**_-2_w_SP2_MLF_X16-17405.iso](https://drive.massgrave.dev/SW_DVD5_Office_Mac_2008_French_-2_w_SP2_MLF_X16-17405.iso)                                                 |
| [SW_DVD5_**Office_Mac_2008_German**_EXTRA_X15-82828.iso](https://drive.massgrave.dev/SW_DVD5_Office_Mac_2008_German_EXTRA_X15-82828.iso)                                                               |
| [SW_DVD5_**Office_Mac_2008_German**_w_SP2_MLF_X15-74334.iso](https://drive.massgrave.dev/SW_DVD5_Office_Mac_2008_German_w_SP2_MLF_X15-74334.iso)                                                       |
| [SW_DVD5_**Office_Mac_2008_Italian**_EXTRA_X15-82830.iso](https://drive.massgrave.dev/SW_DVD5_Office_Mac_2008_Italian_EXTRA_X15-82830.iso)                                                             |
| [SW_DVD5_**Office_Mac_2008_Italian**_w_SP2_MLF_X15-74338.iso](https://drive.massgrave.dev/SW_DVD5_Office_Mac_2008_Italian_w_SP2_MLF_X15-74338.iso)                                                     |
| [SW_DVD5_**Office_Mac_2008_Japanese**_EXTRA_X15-82834.iso](https://drive.massgrave.dev/SW_DVD5_Office_Mac_2008_Japanese_EXTRA_X15-82834.iso)                                                           |
| [SW_DVD5_**Office_Mac_2008_Japanese**_w_SP2_MLF_X15-75700.iso](https://drive.massgrave.dev/SW_DVD5_Office_Mac_2008_Japanese_w_SP2_MLF_X15-75700.iso)                                                   |
| [SW_DVD5_**Office_Mac_2008_Spanish**_-2_Extra_X16-17012.iso](https://drive.massgrave.dev/SW_DVD5_Office_Mac_2008_Spanish_-2_Extra_X16-17012.iso)                                                       |
| [SW_DVD5_**Office_Mac_2008_Spanish**_-2_w_SP2_MLF_X16-17408.iso](https://drive.massgrave.dev/SW_DVD5_Office_Mac_2008_Spanish_-2_w_SP2_MLF_X16-17408.iso)                                               |
| [SW_DVD5_**Office_Mac_2008_Swedish**_EXTRA_X15-82824.iso](https://drive.massgrave.dev/SW_DVD5_Office_Mac_2008_Swedish_EXTRA_X15-82824.iso)                                                             |
| [SW_DVD5_**Office_Mac_2008_Swedish**_w_SP2_MLF_X15-72486.iso](https://drive.massgrave.dev/SW_DVD5_Office_Mac_2008_Swedish_w_SP2_MLF_X15-72486.iso)                                                     |

------------------------------------------------------------------------
